{% extends "bootstrap/base.html" %}
{% block title %}{{ title }}{% endblock %}
{% block styles %}
{{ super() }}
	<link rel="stylesheet" href="{{ url_for('static',filename='myapp.css')}}">
	<script src="{{ url_for('static',filename='js/snowstorm.js')}}"></script>
	<script>
		snowStorm.snowColor = '#ffffff';
		snowStorm.vMaxX = 1;
		snowStorm.vMaxY = 1;
		snowStorm.animationInterval = 5;
	</script>
{% endblock %}
{% block navbar %}
<nav class="navbar navbar-inverse navbar-fixed-top">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="#">{{ title }}</a>
    </div>


    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <li id="home-tab"><a href="{{ url_for('home') }}">Home</a></li>
        <li id="albums-tab" class="dropdown">
          <a  class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Albums <span class="caret"></span></a>
          <ul class="dropdown-menu">
            <li><a href="{{ url_for('create_album') }}">Ajouter</a></li>
          </ul>
        </li>
      </ul>
      
      <form class="navbar-form navbar-left" role="search" action="{{url_for('recherche')}}" method="post">
	    <div class="form-group">
	      <input class="form-control" type="text" name="word" placeholder="Search"/>
	    </div>
	    <button type="submit" class="btn btn-default"> Search </button>
	  </form>

      <ul class="nav navbar-nav navbar-right">
        {% if current_user.is_authenticated %}
        <li><a>{{ current_user.username }}</a></li>
        <li><a href="{{ url_for('logout') }}">
          <span class="glyphicon glyphicon-log-out" title="Logout"></span></a></li>
        {% else %}
          <li><a href="{{ url_for('login') }}">Login</a></li>       
        {% endif %}
      </ul>
    </div><!--/.nav-collapse -->
  </div>
</nav>
{% endblock %}
{% block content %}
<div id="main" class="container theme-showcase" role="main"></div>
{% block main %}{% endblock %}
{% endblock %}
{% block scripts %}
{{ super() }}
<script>
  var curtab = "home-tab";
{% block js %}
{% endblock %}
$(function () {
  $("#"+curtab).addClass("active");
  });
</script>   
{% endblock %}
